org.apache.sling.kickstart.app

## Class KickstartStarter

- java.lang.Object
- - org.apache.sling.kickstart.app.KickstartStarter

All Implemented Interfaces:
  Runnable, ControlTarget

    public class KickstartStarter
    extends Object
    implements Runnable, ControlTarget

### Constructor Summary

Constructors
Constructor and Description
`KickstartStarter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doStop()`
`void` `doTerminateVM(int status)`
`void` `error(String message, Throwable t)`
`String` `getHome()`
`void` `info(String message, Throwable t)`
`static void` `main(String[] args)`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KickstartStarter

    public KickstartStarter()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### main

    public static void main(String[] args)

#### getHome

    public String getHome()

Specified by:
  `getHome` in interface `ControlTarget`

#### doStop

    public void doStop()

Specified by:
  `doStop` in interface `ControlTarget`

#### doTerminateVM

    public void doTerminateVM(int status)

Specified by:
  `doTerminateVM` in interface `ControlTarget`

#### info

    public void info(String message,
                     Throwable t)

Specified by:
  `info` in interface `ControlTarget`

#### error

    public void error(String message,
                      Throwable t)

Specified by:
  `error` in interface `ControlTarget`